# MoneyKit Legacy Docs ## Docs - [Get Account Numbers](https://moneykit.mintlify.app/accounts/get-account-numbers.md): Returns a list of open, permissioned accounts associated with a link, including full account and routing numbers for appropriate accounts (such as checking and savings accounts). - [Get Link Acccount](https://moneykit.mintlify.app/accounts/get-link-account.md): Fetches a single account associated with a [link](/links/get-link-details). - [Get All Accounts](https://moneykit.mintlify.app/accounts/get-link-accounts.md): Returns a list of open, permissioned accounts associated with a [link](/links/get-link-details). - [Get User Accounts](https://moneykit.mintlify.app/accounts/get-user-accounts.md): Fetches all accounts belonging to a user. - [Get Access Token Details](https://moneykit.mintlify.app/authentication/auth-introspect.md): Get details about the client and application associated with your `access_token`. - [Create Access Token](https://moneykit.mintlify.app/authentication/auth-token.md): Create a new short-lived access token by validating your `client_id` and `client_secret`. The `access_token` is to be forwarded with all subsequent requests as `Authorization: Bearer {access_token}` HTTP header. When the token expires you must regenerate your `access_token`. The `client_id` and `cli… - [Get JSON Web Key Set](https://moneykit.mintlify.app/authentication/json-web-key-set.md): The JSON Web Key Set (JWKS) is a set of keys containing the public keys used to verify webhook JSON Web Tokens (JWT) issued by MoneyKit webhooks. - [Developing with MoneyKit](https://moneykit.mintlify.app/get-started/integration.md): Learn how to integrate MoneyKit into your application. - [Introduction](https://moneykit.mintlify.app/get-started/introduction.md): Get started with MoneyKit - [Get Identity](https://moneykit.mintlify.app/identity/get-identity.md): Returns account owner information from the institution, including names, emails, phone numbers, and addresses, for all permissioned accounts associated with a [link](/links/get-link-details). - [Get Institution](https://moneykit.mintlify.app/institutions/get-institution.md): Fetches details about a single institution. - [List Institutions](https://moneykit.mintlify.app/institutions/link-institutions.md): Fetches a list of institutions, optionally filtered by name. Results are paginated. - [Get Holdings](https://moneykit.mintlify.app/investments/get-holdings.md): Returns holdings for the investment accounts associated with a [link](/links/get-link-details). - [Get Investment Transactions](https://moneykit.mintlify.app/investments/get-investment-transactions.md): Returns investment transactions for the accounts associated with a [link](/links/get-link-details). - [Create Link Session](https://moneykit.mintlify.app/link-session/create-link-session.md): This endpoint is to be called by your back end, to establish a new link session for creating a link to your end user's institution. - [Exchange Token](https://moneykit.mintlify.app/link-session/exchange-token.md): After the end user has successfully completed the linking process, your back end calls this endpoint to exchange the token received by your front end for a `link_id` that can be used to access the link's data. - [Delete Link](https://moneykit.mintlify.app/links/delete-link.md): Deletes this link and disables its access token. After deletion, the link id and access token are no longer valid and cannot be used to access any data that was associated with it. - [Get Link Details](https://moneykit.mintlify.app/links/get-link-details.md): Fetches details about a link. - [Get User Links](https://moneykit.mintlify.app/links/get-user-links.md): Fetches all links belonging to a user. - [Force Reset](https://moneykit.mintlify.app/links/reset.md): Force a “relink required” state on a link (Test only) - [Update Link](https://moneykit.mintlify.app/links/update-link.md): Updates the link configuration. - [Refresh Products](https://moneykit.mintlify.app/products/refresh-products.md): Requests an update of the provided products for the link. - [Account Types](https://moneykit.mintlify.app/reference/account-types.md) - [Flow](https://moneykit.mintlify.app/reference/flow.md) - [Link Errors](https://moneykit.mintlify.app/reference/link-errors.md): When a link's `state` field is `error`, the `error_code` field will have one of these values. - [Transaction Categories](https://moneykit.mintlify.app/reference/transaction-categories.md) - [Get Link Transactions](https://moneykit.mintlify.app/transactions/get-link-transactions.md): Returns transactions for the accounts associated with a link. - [Transactions Sync](https://moneykit.mintlify.app/transactions/get-link-transactions-sync.md): Provides a paginated feed of transactions, grouped into `created`, `updated`, and `removed` lists. - [Get User Transactions](https://moneykit.mintlify.app/transactions/get-user-transactions.md): Fetches transactions for a user. This endpoint fetches all transactions for a user across all of their links. You can use it to retrieve transactions from any or all accounts at once, regardless of which institution they belong to. - [Get User Accounts](https://moneykit.mintlify.app/users/get-user-accounts.md): Fetches all accounts belonging to a user. - [Get User Links](https://moneykit.mintlify.app/users/get-user-links.md): Fetches all links belonging to a user. - [Get User Transactions](https://moneykit.mintlify.app/users/get-user-transactions.md): Fetches transactions for a user. This endpoint fetches all transactions for a user across all of their links. You can use it to retrieve transactions from any or all accounts at once, regardless of which institution they belong to. - [Webhook Guide](https://moneykit.mintlify.app/webhooks/guide.md) - [Test Link Event](https://moneykit.mintlify.app/webhooks/test-link-event.md) ## OpenAPI Specs - [moneykit](https://moneykit.mintlify.app/openapi/moneykit.json) - [plaid-compatibility-layer](https://moneykit.mintlify.app/openapi/plaid-compatibility-layer.json) ## Optional - [MoneyKit Docs 2.0](https://docs.moneykit.com) - [Connect iOS SDK](https://ios-sdk.moneykit.com/documentation/moneykit)